+++
title="Časová náročnost kurzu"
+++

Čas, který studenti věnují předmětu, by měl vycházet z kreditového ohodnocení. Ukáži, jak jsem toto pravidlo aplikoval u dvou předmětů, které jsem v letním semestru vyučoval. U obou předmětů jsem použil stejnou strukturu:

1. video s teoretickým výkladem,
2. pracovní list,
3. on-line hodina – konzultace/seminář.

### Polynomická algebra

Předmět je hodnocen 3 kredity a zakončen zápočtem. Výuka probíhala v 11 týdnech. Student by tak měl v souvislosti s předmětem pracovat 7-8 hodin týdně.

Videa s teoretickým výkladem měla délku cca 10-15 minut. Spolu se studiem skript a opakovaným shlédnutím lze očekávat, že student seznámením s teorií trávil cca 1 hodiny týdně.

On-line hodiny měly zpravidla délku 1-2 hodiny. Je zřejmé, že hlavní díl časové dotace (4-6 hodin) bylo nutné směřovat na práci na pracovních listech. Čas, který musí studenti věnovat vyřešení konkrétní úlohy, je velmi individuální a nelze jej dopředu odhadnout. Proto součástí zadání byla vždy žádost o poskytnutí údajů o čase, který byl potřeba řešení úloh věnovat.

Obtížnost úloh byla zpravidla odstupňována tak, že vyřešení úvodní úlohy zabrala 5-10 minut, u náročnějších úloh pak doba potřebná k řešení přesahovala i několik hodin.

<div class="twocolumn">
<div>

![Výsledek 1](vysledek.png)

</div>
<div>

![Výsledek 2](vysledek2.png)

</div>
</div>

U této koncepce výuky bylo s úspěchem použito pravidlo, že je dobré vycházet z toho, co se osvědčilo v rámci prezenční výuky. Studenti dostávali stejně koncipované listy i a prvních (prezenčně realizovaných) hodinách. Jediný rozdíl byl v tom, že na pracovních listech pracovali skupinově v hodině a následně je měli na domácí dopracování. Požadavek na vypracování listu (i když s vysokou časovou náročností) byl v souladu s jejich dosavadní zkušeností s předmětem a vyučujícím. Navíc bylo nastaveno pravidlo pro plnění předmětu tak, že vypracování všech pracovních listů je dostačují pro získání zápočtu.

### Teorie čísel

Předmět je hodnocen 3 kredity a zakončen zkouškou, na jejíž přípravu lze zhruba 10 hodin času. Výuka probíhala v 12 týdnech. Student by tak měl v souvislosti s předmětem pracovat 6-7 hodin týdně.

<div class="twocolumn">
<div>

Opět byl použit stejný postup jako u předchozího předmětu. V tomto případě ale docházelo u pracovních listů k rozdílům v tom, kolik času bylo nutné jednotlivým úlohám věnovat. Na obrázku je příklad u jedné z úloh, kdy jeden student potřeboval na řešení 90 minut a druhý 180 minut. Nejedná se o neobvyklý rozdíl a v některých případech byly rozdíly ještě větší. V takové situaci je velmi složité přesně vybalancovat obtížnost úloh. Situaci jsem nakonec řešil tím, že po jednom z náročnějších pracovních listů jsem studentům dal odpočinkový týden, aby se časová náročnost vyrovnala a zařadil několik pracovních listů, které bylo možné řešit s využitím výpočetní techniky. Přes to se nakonec podařilo probrat látku ve větším rozsahu (resp. do větších detailů), než tomu bylo v předchozích letech v prezenční podobě.

</div>
<div>

![Výsledek 3](vysledek3.png)

![Výsledek 4](vysledek4.png)

</div>
</div>

Jen jako perličku zařazuji pár studentských poznámek:

![Perlička 1](perlicka1.png)

<div class="twocolumn">
<div>

![Perlička 2](perlicka2.png)

</div>
<div>

![Perlička 3](perlicka3.png)

</div>
</div>

*Po dosazení sigmiček nastaly několika hodinové algebraické úpravy a spousta přeškrtaných a počmáraných papírů.*

